
h2{
    margin: 20px;
}


.sx-list{
    list-style: none;
    display: flex;
}

.sx li a:hover{
    color: darkblue;
}
.sx li a{
    text-decoration: none;
    color: black;
}
/*네비케이션 매뉴 스타일링 */
.sx ul{
    z-index: 1000;
    top: 0;
    list-style: none;
    color: black;
    display: flex;
    gap: 14px;
 height: 60px;
 align-items: center;
 border-bottom: solid 2px black;
 background-color: #f5f5f5;
 
}

/*검색창*/
.search-form input {
  flex-grow: 1;
  border: none;
  justify-content: center;
  padding: 6px 10px;
  font-size: 16px;
  outline: none;
  width: 300px;
   border-radius:20px;
   display: flex;
   margin-left: auto;
}

.search-form{

    display: flex;
    align-items: center;
  
    margin-right: auto;
}
@import url('https://fonts.googleapis.com/css2?family=Black+And+White+Picture&family=Black+Han+Sans&family=Gowun+Batang&display=swap');


body{
  font-family: "Gowun Batang", serif;
    background-color: white;
    color: black;
    transition: all 0.3 ease;
    margin: 0;
    padding: 0;
}
/*다크 모드일떄 전체배경색 변경*/
body.dark{
background-color: #1e1e1e;
}

/* 낮과 밤 모드 토글 버튼 스타일*/
#toggleMode{
    position: absolute;
    top: 10px;
    right: 10px;
}
body.dark button{
    background-color: #666;
    color: white;
}


/*소설 정보를 보여주는 카드*/
.save-card{
    box-shadow: 0 4px 13px rgba(0, 0, 0, 0.08);
    border-radius: 10px;
    padding: 1rem;
    border-bottom: 1rem;
    background-color:#fafafa;
    margin-bottom: 20px;


}
.save-card img{
    width: 100%;
    height: 180px;
    border-radius: 8px;
    display: block;
    object-fit: cover;
}

h2{
    font-size: 24px;
    text-align: center;
}

/*intro 클래스 
- 페이지 첫 부분 소개 영역 스타일링 
- 배경샥과 패딩:내부 여백 조절 
- border-radius:모서리를 둥글게*/
.intro{
  background-color: #f1f1f1;
  padding: 1rem;
  border-radius: 12px;
}

.novel-card h3{
  margin: 0 0  0.5rem 0;
  font-size: 1.2rem;
 
}

.save-card P{
    color: #555;

    margin: 0;
}
.main-section{
    max-width: 900px;
    margin:  2rem auto;
    padding: 1rem;
}

footer{
    background-color: #f5f5f5;
    color: darkblue;
    padding: 20px;
    text-align: center;
    font-size: 14px;
}
/*반응형 푸터*/
@media(max-width:600px){
    footer{
        font-size: 14px;
        text-align: center;
    }
}